﻿namespace InputValidationTesting.Helper {
    using System;

    /// <summary>
    ///     <see cref="ValidationBaseAttribute" />, welches verlangt, dass ein Datum in der Vergangenheit liegen muss.
    /// </summary>
    public class DateMustBeInThePastAttribute : ValidationBaseAttribute {

        public override bool IsValid(object value) {
            if (!(value is DateTime)) {
                // Success, weil um darum kümmert sich der Datepicker alleine.
                return true;
            }
            return (DateTime)value < DateTime.Now;
        }

    }
}