﻿namespace InputValidationTesting.Helper {
    /// <summary>
    ///     Ein <see cref="ValidationBaseAttribute" />, dass eine Einschränkung zwischen 0 und der definierten
    ///     <see cref="GlobalData.MaxSalesColumns" /> hat.
    /// </summary>
    public class MaxColumnRange : ValidationBaseAttribute {

        public override bool IsValid(object value) {
            if (!(value is int)) {
                //Success, da sich darum das IntegerUpDown kümmert.
                return true;
            }
            return (int)value >= 0 && (int)value < 6;
        }

    }
}