﻿namespace InputValidationTesting.Helper {
    public class MaxLengthAttribute:ValidationBaseAttribute {

        public MaxLengthAttribute(int maxLength) {
            MaxLength = maxLength;
        }

        public override bool IsValid(object value) {
            if (!(value is string)) {
                return true;
            }
            return ((string)value).Length <= MaxLength;
        }

        /// <summary>
        ///     Liefert oder setzt die maximale Länge.
        /// </summary>
        public int MaxLength { get; set; }
        

    }
}