﻿namespace InputValidationTesting.Helper {
    /// <summary>
    ///     Ein <see cref="ValidationBaseAttribute" />, dass eine Einschränkung zwischen 0 und der definierten
    ///     <see cref="GlobalData.MaxSalesRows" /> hat.
    /// </summary>
    public class MaxRowRange : ValidationBaseAttribute {

        public override bool IsValid(object value) {
            if (!(value is int)) {
                //Success, da sich darum das IntegerUpDown kümmert.
                return true;
            }
            return (int)value >= 0 && (int)value < 8;
        }

    }
}