﻿namespace InputValidationTesting.Helper {
    public class RangeAttribute : ValidationBaseAttribute {

        public RangeAttribute(int min, int max) {
            Min = min;
            Max = max;
        }

        /// <summary>
        ///     Liefert oder setzt das Maximum.
        /// </summary>
        public int Max { get; set; }

        /// <summary>
        ///     Liefert oder setzt das Minimum.
        /// </summary>
        public int Min { get; set; }

        public override bool IsValid(object value) {
            if (!(value is int)) {
                return true;
            }
            return (int)value >= Min && (int)value <= Max;
        }

    }
}