﻿namespace InputValidationTesting.Helper {
    public class RequiredAttribute : ValidationBaseAttribute {

        /// <summary>
        ///     Liefert oder setzt die Angabe, ob leere Strings erlaubt sind.
        /// </summary>
        public bool AllowEmptyStrings { get; set; }

        public override bool IsValid(object value) {
            if (value is string) {
                if (!AllowEmptyStrings) {
                    return !string.IsNullOrEmpty((string)value);
                }
            }
            return value != null;
        }

    }
}